component: Vh4Gateway
metric: zoox::diag::EmptyMetric
namespace: zoox::vh4_gateway
faults:
    # Deprecated.
  - id: 0
    name: RESERVED
    severity: ERROR
    description:
    deprecated: true
  - id: 1
    name: VH4_MIA
    severity: ERROR
    description: "VH4 state input timed out."
    triggers_nogo: true
  - id: 2
    name: TRACKER_FAULT
    severity: ERROR
    description: "Tracker returned fault."
    triggers_nogo: true
  - id: 3
    name: CAN_1_ERROR
    severity: INFO
    description: "CAN_1 bus error."
  - id: 4
    name: CAN_1_RX_ERROR
    severity: INFO
    description: "VH4 failed to receive a message from CAN_1."
  - id: 5
    name: CAN_1_TX_ERROR
    severity: INFO
    description: "VH4 failed to transmit a message on CAN_1."
  - id: 6
    name: CAN_2_ERROR
    severity: INFO
    description: "CAN_2 bus error."
  - id: 7
    name: CAN_2_RX_ERROR
    severity: INFO
    description: "VH4 failed to receive a message from CAN_2."
  - id: 8
    name: CAN_2_TX_ERROR
    severity: INFO
    description: "VH4 failed to transmit a message on CAN_2."
  - id: 9
    name: CAN_3_ERROR
    severity: INFO
    description: "CAN_3 bus error."
  - id: 10
    name: CAN_3_RX_ERROR
    severity: INFO
    description: "VH4 failed to receive a message from CAN_3."
  - id: 11
    name: CAN_3_TX_ERROR
    severity: INFO
    description: "VH4 failed to transmit a message on CAN_3."
  - id: 12
    name: ZABOTAGE_FAULT
    severity: ERROR
    description: "Zabotage timeout."
    triggers_nogo: true
  - id: 13
    name: ZABOTAGE_ENABLED
    severity: WARNING
    description: "Zabotage enabled."
